Skip to main content
POST
/
v6
/
integrations
/
wave
/
connection
Link Wave
curl --request POST \
  --url https://sandbox.tight.com/v6/integrations/wave/connection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "businessId": "<string>",
  "glMapping": [
    {
      "glAccountId": "gla_12345",
      "importGlAccount": {
        "accountNumber": "<string>",
        "accountName": "<string>"
      }
    }
  ]
}
'
{
  "result": "SUCCESS",
  "data": {
    "businessId": "<string>",
    "glMapping": [
      {
        "glAccountId": "gla_12345",
        "importGlAccount": {
          "accountNumber": "<string>",
          "accountName": "<string>"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
businessId
string
required

Wave business ID retrieved via GraphQL query after OAuth

glMapping
object[] | null

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object